## python-srt 3.5.2

=== tests/requirements.txt ===
pytest==4.*; python_version < '3.0'
pytest==6.*; python_version >= '3.0'
pytest-cov==2.*
hypothesis==4.*; python_version < '3.6'
hypothesis==6.*; python_version >= '3.6'

=== debian/changelog ===
python-srt (3.5.2-2) unstable; urgency=medium

  * Source only upload.

 -- Timo Röhling <roehling@debian.org>  Thu, 07 Jul 2022 22:39:59 +0200

python-srt (3.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #1014072)

 -- Timo Röhling <roehling@debian.org>  Wed, 29 Jun 2022 20:51:58 +0200

=== debian/control ===
Source: python-srt
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Timo Röhling <roehling@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 help2man,
 python3-all,
 python3-setuptools,
 python3-hypothesis <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-sphinx <!nodoc>,
Homepage: https://github.com/cdown/srt
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-srt.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-srt
Description: Python library to handle SRT subtitle files
 srt is a tiny but featureful Python library for parsing, modifying, and
 composing SRT subtitle files. It has a very robust parser that can deal with
 many broken SRT files, and needs no dependencies beyond the Python Standard
 Library.

Package: python3-srt
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the Python 3 module.

Package: python-srt-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides the API documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = srt

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	rm $(CURDIR)/debian/python3-srt/usr/bin/srt
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && sphinx-build -b html . $(CURDIR)/debian/python-srt-doc/usr/share/doc/python-srt-doc/html
endif

execute_before_dh_installman:
	set -e; export PYTHONDONTWRITEBYTECODE=1 PYTHONPATH=$(CURDIR); for n in srt_tools/srt-*; do \
		help2man -N -n "SRT subtitle processing tool" --version-string="$(DEB_VERSION_UPSTREAM)" "python3 $$n" > debian/$${n##*/}.1; \
	done

## python-srt 3.5.3

=== debian/changelog ===
python-srt (3.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.3
  * Bump Standards-Version to 4.6.2 (no changes required)

 -- Alex Lembcke <alex.lembcke@gmail.com>  Wed, 14 Jun 2023 20:46:46 -0400

python-srt (3.5.2-5) unstable; urgency=medium

  * Use the shiny new pybuild-autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 14:40:17 +0100

python-srt (3.5.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 17:53:43 +0000

python-srt (3.5.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-srt-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 11:22:59 +0100

=== debian/control ===
--- 
+++ 
@@ -16,10 +16,11 @@
  python3-pytest-xdist <!nocheck>,
  python3-sphinx <!nodoc>,
 Homepage: https://github.com/cdown/srt
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-srt.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-srt
+Testsuite: autopkgtest-pkg-pybuild
 Description: Python library to handle SRT subtitle files
  srt is a tiny but featureful Python library for parsing, modifying, and
  composing SRT subtitle files. It has a very robust parser that can deal with
@@ -42,6 +43,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: ${source:Synopsis} (documentation)
  ${source:Extended-Description}
  .

=== debian/rules ===
--- 
+++ 
@@ -17,4 +17,3 @@
 	set -e; export PYTHONDONTWRITEBYTECODE=1 PYTHONPATH=$(CURDIR); for n in srt_tools/srt-*; do \
 		help2man -N -n "SRT subtitle processing tool" --version-string="$(DEB_VERSION_UPSTREAM)" "python3 $$n" > debian/$${n##*/}.1; \
 	done
-

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/cdown/srt/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
